<launch>
  <arg name="robot1_name" value="robot1"/>
  <arg name="robot1_x_pos" default="-2.0"/>
  <arg name="robot1_y_pos" default="-2.0"/>
  <arg name="robot1_z_pos" default="0.0"/>

  <arg name="robot2_name" value="robot2"/>
  <arg name="robot2_x_pos" default="-2.0"/>
  <arg name="robot2_y_pos" default="0.0"/>
  <arg name="robot2_z_pos" default="0.0"/>


  <!-- gazebo world start -->
  <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="world_name" value="$(find multiple_robot_gazebo)/worlds/base_world.world"/>
    <arg name="paused" value="false"/>
    <arg name="use_sim_time" value="true"/>
    <arg name="gui" value="true"/>
    <arg name="headless" value="false"/>
    <arg name="debug" value="false"/>
  </include>

  <!-- include robots -->
  <arg name="urdf_file" default="$(find xacro)/xacro.py '$(find multiple_robot_gazebo)/urdf/turtlebot3_waffle_pi/turtlebot3_waffle_pi.urdf.xacro'" />
  <param name="robot_description" command="$(arg urdf_file)"/>

  <group ns="$(arg robot1_name)">

    <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher" output="screen">
      <param name="publish_frequency" type="double" value="50.0" />
      <param name="tf_prefix" value="$(arg robot1_name)" />
    </node>

    <node name="spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model $(arg robot1_name) -x $(arg robot1_x_pos) -y $(arg robot1_y_pos) -z $(arg robot1_z_pos) -param /robot_description" />
  </group>

  <group ns="$(arg robot2_name)">

    <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher" output="screen">
      <param name="publish_frequency" type="double" value="50.0" />
      <param name="tf_prefix" value="$(arg robot2_name)" />
    </node>
   
    <node name="spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model $(arg robot2_name) -x $(arg robot2_x_pos) -y $(arg robot2_y_pos) -z $(arg robot2_z_pos) -param /robot_description" />
  </group>

  <param name="human_description" command="$(find xacro)/xacro.py  '$(find multiple_robot_gazebo)/object/human.urdf'"/>
  <node name="human1_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human1 -x 1 -y 2 -param human_description" />
  <node name="human2_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human2 -x 1 -y 2.5 -param human_description" />
  <node name="human3_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human3 -x 1.3 -y 1.8 -param human_description" />
  <node name="human4_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human4 -x 3 -y 0 -param human_description" />
  <node name="human5_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human5 -x 2 -y 1 -param human_description" />
  <node name="human6_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human6 -x -1 -y -1 -param human_description" />
  <node name="human7_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human7 -x 5 -y 5 -param human_description" />
  <node name="human8_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human8 -x 5 -y 3 -param human_description" />
  <node name="human9_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human9 -x 0 -y 1 -param human_description" />
  <node name="human10_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human10 -x -1 -y -2 -param human_description" />
  <node name="human11_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human11 -x 4 -y 4.5 -param human_description" />
  <node name="human12_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human12 -x 3 -y 6 -param human_description" />
  <node name="human13_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human13 -x 0 -y -2 -param human_description" />
  <node name="human14_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human14 -x 0 -y -1.5 -param human_description" />
  <node name="human15_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human15 -x 4 -y 3 -param human_description" />
  <node name="human16_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human16 -x 3 -y 1 -param human_description" />
  <node name="human17_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human17 -x 1 -y 0.5 -param human_description" />
  <node name="human18_spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-urdf -model human18 -x 0.5 -y 1 -param human_description" />

</launch>
